Comment 25 for bug 1487679

There are many potential affected packages I have no insight, but for nbd this should be fixed since 1:3.14-1 by upstream now providing a native systemd service.

That means >=Zesty should be fixed in that regard.
Not sure on backporting that - one would need to check the potential further context that needs to go back to Xenial, but that might be the proper solution that one might want to try.